package com.unis.detectionnum.common.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("仓房信息实体")
public class DetectionWaterHistoryVO {

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value = "仓房编号")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value="仓房名称",required = true)
	private String cfmc;
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true)
	private String kddm;
	
	/**
	 * 设计仓容
	 */
	@ApiModelProperty(value="设计仓容")
	private Integer sjcr;

	/**
	 * 实际仓容
	 */
	@ApiModelProperty(value="实际仓容")
	private Integer sjcr01;

	/**
	 * 人员名称
	 */
	@ApiModelProperty(value = "人员名称")
    private String ryxm;

	/**
	 * 记录id
	 */
	@ApiModelProperty(value = "记录id")
	private Integer historyId;
	
	/**
	 * 检测时间
	 */

	@ApiModelProperty(value = "检测时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date createDate;
	
	
}
