package com.unis.detectionnum.common.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="报警记录VO",description="报警记录VO")
public class DeviceAlarmRecodVO {

	/**
	 * 直属库名称
	 */
	@ApiModelProperty(value="直属库名称")
	private String zskmc;
	
	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称")
	private String kdmc;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value="仓房名称")
	private String cfmc;
	
	/**
	 * 保管员名称
	 */
	@ApiModelProperty(value="保管员名称")
	private String ryxm;
	
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value="联系电话")
	private String lxdh;
	
	/**
	 * 设备code
	 */
	@ApiModelProperty(value="设备code")
    private String sbCode;

	/**
	 * 报警时间
	 */
	@ApiModelProperty(value="报警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createDate;

	/**
	 * 报警时间
	 */
	@ApiModelProperty(value="报警类型  0:设备断开连接  1:总数报警  2:逐次数量报警")
    private Integer type;
 
}