package com.unis.detectionnum.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wuyuan.quan
 * @Project: detectionnum-service
 * @Package com.unis.detectionnum.common.vo
 * @Description:
 * @date 2019/12/17  21:27
 */
@Data
@ApiModel(value="通话记录回调对象基类")
public class RobotCallRecordBaseVo implements Serializable {
    @ApiModelProperty(value="dataType回调类型（始终为 ROBOT_CALL_RECORD ）")
    private String dataType;
    @ApiModelProperty(value="通话记录回调对象实体")
    private RobotCallRecordVO data;
}
