package com.unis.detectionnum.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 摄像头参数表
 */

@Getter
@Setter
@Table(name = "s_camera_param")
public class CameraParamDO {
	
	/**
	 * 主键id
	 */
	@Column(name = "id")
    private Integer id;

	/**
	 * 设备code
	 */
	@Column(name = "sb_code")
	private String sbCode;
	/**
	 * 账户
	 */
	@Column(name = "account")
    private String account;

	/**
	 * 密码
	 */
	@Column(name = "password")
    private String password;

	/**
	 * 通道号
	 */
	@Column(name = "passageway")
    private String passageway;

	/**
	 * 匹配标识
	 */
	@Column(name = "match_identifier")
    private String matchIdentifier;
}