package com.unis.detectionnum.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Table(name = "TC_ALARM_GENERATE_MAIN")
public class TcAlarmGenerateMainDO {
	
	/**
	 * 告警编号
	 */
	@Column(name = "generate_no")
    private String generateNo;

	/**
	 * 告警名称
	 */
	@Column(name = "generate_name")
    private String generateName;

	/**
	 * 资源编号
	 */
	@Column(name = "resource_no")
    private String resourceNo;

	/**
	 * 告警类型
	 */
	@Column(name = "alarm_type")
    private Integer alarmType;

	/**
	 * 开始时间
	 */
	@Column(name = "start_date")
    private Date startDate;

	/**
	 * 结束时间
	 */
	@Column(name = "end_date")
    private Date endDate;

	/**
	 * 状态
	 */
	@Column(name = "status")
    private Integer status;

	/**
	 * 相关表名
	 */
	@Column(name = "table_name")
    private String tableName;

	/**
	 * 对应行名
	 */
	@Column(name = "column_name")
    private String columnName;

	/**
	 * 比较类型  > < =
	 */
	@Column(name = "compare_type")
    private String compareType;

}