package com.unis.detectionnum.server.feign;

import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * 
 * @ClassName: MyUserClient 
 * @Description:  
 * @author tiechanglong
 * @date 2018年12月5日 下午5:11:16 
 * 
 * @version 1.2.0
 */
@FeignClient(name = "myuser")
@Component
public interface MyUserClient {

	/**
	 *
	 * @Description: 登陆接口
	 *
	 * @date 2018年12月5日,下午5:20:42
	 * @author tiechanglong
	 * @version 1.2.0
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET,value = "/user/findByUsername/{userType}/{userLoginName}")
	ResponseWrapper findByUsername(@RequestParam("userType") String userType, @RequestParam("userLoginName") String userLoginName);

}
