package com.unis.detectionnum.server.message.service;

/**
 * 短信发送 服务类
 *
 * @author YangZR
 * @since 2020-03-10
 */
public interface SMSIdentifyCodeService {
	
    /**
	 * 发送短信服务
	 *
	 * @author YangZR
	 * @date 2020-03-10
	 */
    boolean sendMessage(String mobile, String creater) throws Exception;
    
    /**
  	 * 判断验证码是否正确
  	 *
  	 * @author YangZR
  	 * @date 2020-03-10
  	 */
    boolean checkIsCorrectCode(String mobile, String identifyCode) throws Exception;

	/**
	 * 发送短信服务
	 *
	 * @author YangZR
	 * @date 2020-03-10
	 */
	boolean sendMessageAndContens(String mobile, String creater, String contens) throws Exception;

}
