package com.unis.detectionnum.server.service;

import com.unis.detectionnum.common.vo.AlarmParamVO;

/** 
 * @ClassName: AlarmParamService 
 * @Description: 参数管理-告警参数管理service
 * @author LiuFeng 
 * @date 2019年10月16日 下午5:34:35  
 */
public interface AlarmParamService {

	/** 
	 * @Title: saveAlarmParam 
	 * @Description: 参数管理-告警参数添加
	 * @param alarmParamVO
	 * @return int
	 * @throws 
	 */
	int saveAlarmParam(AlarmParamVO alarmParamVO);

	/** 
	 * @Title: updateAlarmParam 
	 * @Description: 参数管理-告警参数修改
	 * @param alarmParamVO
	 * @return int
	 * @throws 
	 */
	int updateAlarmParam(AlarmParamVO alarmParamVO);

	/** 
	 * @Title: getAlarmParamByCfbh 
	 * @Description: 根据仓房编号获取告警信息
	 * @param cfbh
	 * @return AlarmParamVO
	 * @throws 
	 */
	AlarmParamVO getAlarmParamByCfbh(String cfbh);

}
