package com.unis.detectionnum.server.service;

import java.util.List;
import java.util.Map;

import com.serotonin.modbus4j.exception.ErrorResponseException;
import com.serotonin.modbus4j.exception.ModbusInitException;
import com.serotonin.modbus4j.exception.ModbusTransportException;

import com.unis.detectionnum.common.vo.CableVO;
import com.unis.detectionnum.common.vo.DetectionWaterHistoryVO;
import com.unis.detectionnum.common.vo.DetectionWaterReportVO;

/** 
 * @ClassName: DetectionWaterService 
 * @Description: TODO 
 * @author LiuFeng 
 * @date 2019年9月10日 下午3:12:36  
 */
public interface DetectionWaterService {

	/** 
	 * @Title: readWaterData 
	 * @Description: TODO
	 * @param @return
	 * @return int
	 * @throws 
	 */
	int readWaterData() throws ModbusTransportException, ErrorResponseException, ModbusInitException;

	/** 
	 * @Title: getDetectionWaterReport 
	 * @Description: TODO
	 * @param @param cfbh
	 * @param @return
	 * @return Object
	 * @throws 
	 */
	DetectionWaterReportVO getDetectionWaterReport(String cfbh,Integer historyId);

	/** 
	 * @Title: getWaterHistory 
	 * @Description: TODO
	 * @param @param cfbh
	 * @param @return
	 * @return List<DetectionWaterHistoryVO>
	 * @throws 
	 */
	List<DetectionWaterHistoryVO> getWaterHistory(String cfbh, String time);

    Map<String, Object> getWaterTempView(String cfbh);

    List<CableVO> selectDatasByCfbh(String cfbh, Integer historyId);
}
