package com.unis.detectionnum.server.service;

import java.util.List;
import java.util.Map;

import com.unis.detectionnum.common.vo.DeviceAlarmQueryVO;
import com.unis.detectionnum.common.vo.DeviceAlarmRecodVO;
import com.unis.detectionnum.common.vo.DeviceAlarmVO;

/** 
 * @ClassName: DeviceAlarmService 
 * @Description: 设备报警信息service
 * @author LiuFeng 
 * @date 2019年10月30日 下午1:52:46  
 */
public interface DeviceAlarmService {

	/** 
	 * @Title: storehouseStatistic 
	 * @Description: TODO
	 * @param zskdm
	 * @return Map<String,Object>
	 * @throws 
	 */
	Map<String,Object> storehouseStatistic(String userCode);

	/** 
	 * @Title: alarmRecordPageList 
	 * @Description: 报警记录条件查询
	 * @param deviceAlarmQueryVO
	 * @return List<DeviceAlarmRecodVO>
	 * @throws 
	 */
	List<DeviceAlarmRecodVO> alarmRecordList(DeviceAlarmQueryVO deviceAlarmQueryVO);

	/** 
	 * @Title: saveDeviceAlarm 
	 * @Description: 保存告警记录
	 * @param deviceAlarmVO
	 * @return void
	 * @throws 
	 */
	String saveDeviceAlarm(DeviceAlarmVO deviceAlarmVO);
	//报警
    void triggerCallAlarm(String cfbh);
}
