package com.unis.detectionnum.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.detectionnum.common.vo.LogVO;

/** 
 * @ClassName: LogService 
 * @Description: ·日志service
 * @author LiuFeng 
 * @date 2019年10月23日 下午2:08:37  
 */
public interface LogService {

	/** 
	 * @Title: getLogsPageList 
	 * @Description: 分页查询日志列表信息
	 * @param userName
	 * @param pageNum
	 * @param pageSize
	 * @return PageInfo<LogVO>
	 * @throws 
	 */
	PageInfo<LogVO> getLogsPageList(String userName, Integer pageNum, Integer pageSize);

}
