/**   
 * @Title: CommonUtil.java 
 * @Package com.unis.detectionnum.server.utils 
 * @Description: TODO
 * @author LiuFeng  
 * @date 2019年10月22日 下午5:42:40 
 * @version V1.0   
 */
package com.unis.detectionnum.server.utils;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;

/** 
 * @ClassName: CommonUtil 
 * @Description: TODO 
 * @author LiuFeng 
 * @date 2019年10月22日 下午5:42:40  
 */
public class CommonUtil {

	//获取客户端ip  
    public static String getIp(HttpServletRequest request) {  
        String ip = request.getHeader("X-Forwarded-For");  
        if(StringUtils.isNotEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)){
            //多次反向代理后会有多个ip值，第一个ip才是真实ip  
            int index = ip.indexOf(",");  
            if(index != -1){  
                return ip.substring(0,index);  
            }else{  
                return ip;  
            }  
        }
        ip = request.getHeader("X-Real-IP");  
        if(StringUtils.isNotEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)){  
            return ip;  
        }  
        return request.getRemoteAddr();  
    }

}
