package com.unis.detectionnum.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import lombok.Getter;
import lombok.Setter;

@ApiModel(value="告警参数VO",description="告警参数VO")
@Setter
@Getter
public class AlarmParamVO {
	
	/**
	 * 主键id
	 */
	@ApiModelProperty(value = "主键id")
    private Integer id;

	/**
	 * 总数报警阀值 单位吨
	 */
	@ApiModelProperty(value = "总数报警阀值 单位吨")
    private Double totalThreshold;

	/**
	 * 逐次报警阀值 单位吨
	 */
	@ApiModelProperty(value = "逐次报警阀值 单位吨")
    private Double timeThreshold;

	/**
	 * 电话通知 电话1
	 */
	@ApiModelProperty(value = "电话通知 电话1")
    private String telephoneNumber1;

	/**
	 * 电话通知 电话2
	 */
	@ApiModelProperty(value = "电话通知 电话2")
    private String telephoneNumber2;

	/**
	 * 短息通知 电话1
	 */
	@ApiModelProperty(value = "短息通知 电话1")
    private String smsNumber1;

	/**
	 * 短信通知 电话2
	 */
	@ApiModelProperty(value = "短信通知 电话2")
    private String smsNumber2;

	/**
	 * 报警状态  1:启用 0:未启用
	 */
	@ApiModelProperty(value = "报警状态  1:启用 0:未启用")
    private Integer status;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value = "仓房编号")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value = "仓房名称")
    private String cfmc;

	/**
	 * 总吨数
	 */
	@ApiModelProperty(value = "总数报警阀值 单位吨")
	private Double lsZl;


	/**
	 * 总数报警状态  1:启用 0:未启用
	 */
	@ApiModelProperty(value = "总数报警状态  1:启用 0:未启用")
	private Integer totalStatus;


	/**
	 * 是否为出入库 1:出入库 0：库存
	 */
	@ApiModelProperty(value = "是否为出入库 1:出入库 0：库存")
	private Integer isOut;
}