package com.unis.detectionnum.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="报警数据统计VO",description="报警数据统计VO")
public class DeviceAlarmStatisticVO {

	private String id;
	/**
	 * 直属库名称
	 */
	@ApiModelProperty(value="直属库名称")
	private String zskmc;
	
	/**
	 * 直属库代码
	 */
	@ApiModelProperty(value="直属库代码")
	private String zskdm;
	
	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称")
	private String kdmc;
	
	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="库点代码")
	private String kddm;

	/**
	 * 断开连接次数
	 */
	@ApiModelProperty(value="断开连接次数")
	private Integer disconnects;
	
	/**
	 * 逐次报警次数
	 */
	@ApiModelProperty(value="逐次报警次数")
	private Integer times;
	
	/**
	 * 总数报警次数
	 */
	@ApiModelProperty(value="总数报警次数")
	private Integer totals;
	
	/**
	 * 近一月报警情况
	 */
	@ApiModelProperty(value="近一月报警情况")
	private Integer months;
	
	public Integer getMonths() {
		return this.disconnects + this.times +this.totals;
	}
 
}