package com.unis.detectionnum.common.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value="设备告警实体VO",description="设备告警实体VO")
public class DeviceAlarmVO {
	
    private String id;

    private String sbCode;

    private Double lsLastTj;

    private Double lsCurrTj;

    private Double lsDiffTj;
    
    private Double lsLastZl;

    private Double lsCurrZl;

    private Double lsDiffZL;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createDate;

    private String remark;

    private Integer type;

    //报警类型 0 未处理 1已处理
    private String status;
 
}