package com.unis.detectionnum.common.vo;

import lombok.Data;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/*
 *设备信息表
 */
@SuppressWarnings("serial")
@ApiModel(value="设备信息查询VO",description="设备信息查询VO")
@Data
public class DeviceInfoQueryVO implements Serializable{

	@ApiModelProperty(value="设备code",dataType="String",required=false)
    private String sbCode;

	@ApiModelProperty(value="设备名称",dataType="String",required=false)
    private String sbName;

    @ApiModelProperty(value="库点代码",dataType="String",required=false)
    private String kddm;

	@ApiModelProperty(value="仓房编号",dataType="String",required=false)
    private String cfbh;
	
	@ApiModelProperty(value="设备ip地址",dataType="String",required=false)
    private String sbIpdz;

	@ApiModelProperty(value="设备端口号",dataType="String",required=false)
    private String sbDkh;

	@ApiModelProperty(value="设备类型",dataType="String",required=false)
    private String sbLx;

	@ApiModelProperty(value="设备状态（0，正常。1，错误）",example="0",required=false)
    private Integer sbZt;


}