package com.unis.detectionnum.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
/**
 * @author yangkaifeng
 * @version 1.0
 * @Title RobotCallDetailListVO
 * @ProjectName 通话记录对象
 * @Description  TODO
 * @date 2019/12/17 17点26分
 */

@SuppressWarnings("serial")
@Data
@ApiModel(value="通话记录对象")
public class RobotCallDetailListVO implements Serializable {
    @ApiModelProperty(value="listId主键id")
    private Long listId;

    @ApiModelProperty(value="recordId通话记录id")
    private Long recordId;

    @ApiModelProperty(value="text对话说的具体文字内容")
    private String text;

    @ApiModelProperty(value="type说话者 (PERSON, 人), (ROBOT, 机器人)")
    private String type;

    @ApiModelProperty(value="callDetailId对话详情id对话详情id")
    private Long callDetailId;

    @ApiModelProperty(value="createTime创建时间")
    private Date createTime;

}
