package com.unis.detectionnum.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="扫描规则VO",description="扫描规则VO")
public class ScanRuleVO {
	
	@ApiModelProperty(value="主键id")
    private Integer id;

	@ApiModelProperty(value="设备code")
    private String sbCode;

	@ApiModelProperty(value="开始时间")
    private String startHour;

	@ApiModelProperty(value="结束时间")
    private String endHour;

	@ApiModelProperty(value="间隔时间")
    private Integer intervalHour;

	@ApiModelProperty(value="库存时间")
    private Integer inventoryHour;

	@ApiModelProperty(value="更新时间")
    private Date updateTime;
    
	@ApiModelProperty(value="点数")
    private Integer points;

	@ApiModelProperty(value="是否为出入库  1:出入库,0:库存")
    private Integer isOut;

    @ApiModelProperty(value="总数报警状态（1为开，0为关）")
    private Integer totalStatus;

    @ApiModelProperty(value="是否次日（1是，0否）")
    private Integer theNextDay;
}