package com.unis.detectionnum.server.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class DeviceParamDO {
	
	//主键id
    private Integer id;

	//设备code
    private String sbCode;

    //方仓长-X轴长
    private Integer fcLengthX;

    //方仓宽-Y轴长
    private Integer fcWidthY;

    //粮食密度
    private Integer grainDensity;

    //探头位置坐标X 
    private Integer probeX;

    //探头位置坐标Y 
    private Integer probeY;

    //探头位置坐标Z 
    private Integer probeZ;

    //探头型号
    private String probeVersion;

    //X电机初始位置
    private Integer motorX;

    //Y电机初始位置 
    private Integer motorY;

    // 体积补偿
    private Integer volumeCompensation;

    //面积补偿
    private Integer areaCompensation;

    //创建时间
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createDate;

}