package com.unis.detectionnum.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 探头参数表
 */
@Getter
@Setter
@Table(name = "s_probe_param")
public class ProbeParamDO {
	
	/**
	 * 主键id
	 */
	@Column(name = "id")
    private Integer id;

	/**
	 * 设备code
	 */
	@Column(name = "sb_code")
    private String sbCode;

	/**
	 * 粮仓长度
	 */
	@Column(name = "granary_length")
    private Double granaryLength;

	/**
	 * 粮仓宽度
	 */
	@Column(name = "granary_width")
    private Double granaryWidth;

	/**
	 * 坐标x
	 */
	@Column(name = "probe_x")
    private Double probeX;

	/**
	 * 坐标y
	 */
	@Column(name = "probe_y")
    private Double probeY;

	/**
	 * 坐标z
	 */
	@Column(name = "probe_z")
    private Double probeZ;

	/**
	 * 粮仓密度
	 */
	@Column(name = "granary_density")
    private Double granaryDensity;

	/**
	 * 水平角度1
	 */
	@Column(name = "horizontal_angle1")
    private Double horizontalAngle1;

	/**
	 * 水平角度2
	 */
	@Column(name = "horizontal_angle2")
    private Double horizontalAngle2;

	/**
	 * 垂直角度1
	 */
	@Column(name = "vertical_angle1")
    private Double verticalAngle1;

	/**
	 * 垂直角度2
	 */
	@Column(name = "vertical_angle2")
    private Double verticalAngle2;
}