package com.unis.detectionnum.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Table(name = "TC_FORWARD_MAIN")
public class TcForwardMainDO {
	
	/**
	 * 前传规则编号
	 */
	@Column(name = "forward_no")
    private String forwardNo;

	/**
	 * 前转名称
	 */
	@Column(name = "forward_name")
    private String forwardName;

	/**
	 * 前传类型
	 */
	@Column(name = "forward_type")
    private Integer forwardType;

	/**
	 * 前传方式
	 */
	@Column(name = "forward_mode")
    private String forwardMode;

	/**
	 * 规则生效开始时间
	 */
	@Column(name = "start_date")
    private String startDate;

	/**
	 * 前传明细编号规则生效结束时间
	 */
	@Column(name = "end_date")
    private String endDate;

	/**
	 * 状态
	 */
	@Column(name = "status")
    private Integer status;

}