package com.unis.detectionnum.server.service;

import com.unis.detectionnum.common.vo.ScanRuleVO;

/** 
 * @ClassName: ScanRuleService 
 * @Description: 扫描规则service
 * @author LiuFeng 
 * @date 2019年10月29日 下午4:05:43  
 */
public interface ScanRuleService {

	/** 
	 * @Title: saveOrUpdateScanRule 
	 * @Description: 添加或修改扫描参数
	 * @param scanRuleVO
	 * @return int
	 * @throws 
	 */
	int saveOrUpdateScanRule(ScanRuleVO scanRuleVO);

	/** 
	 * @Title: getScanRuleInfo 
	 * @Description: 扫描规则详情
	 * @param sbCode
	 * @return ScanRuleVO
	 * @throws 
	 */
	ScanRuleVO getScanRuleInfo(String sbCode);



	/**
	 * @Title: getScanRuleIsOut
	 * @Description: 查询(1.出入库0.库存)
	 * @param sbCode
	 * @return ScanRuleVO
	 * @throws
	 */
	ScanRuleVO getScanRuleIsOut(String sbCode);
}
