package com.unis.detectionnum.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.detectionnum.common.vo.AlarmParamVO;
import com.unis.detectionnum.server.domain.AlarmParamDomain;
import com.unis.detectionnum.server.service.AlarmParamService;

@Service
public class AlarmParamServiceImpl implements AlarmParamService{

	@Autowired
	private AlarmParamDomain alarmParamDomain;
	/**
	 * <p>Title: saveAlarmParam</p> 
	 * <p>Description: </p> 
	 * @param alarmParamVO
	 * @return 
	 * @see com.unis.detectionnum.server.service.AlarmParamService#saveAlarmParam(com.unis.detectionnum.common.vo.AlarmParamVO) 
	 */
	@Override
	public int saveAlarmParam(AlarmParamVO alarmParamVO) {
		
		return alarmParamDomain.saveAlarmParam(alarmParamVO);
	}
	/**
	 * <p>Title: updateAlarmParam</p> 
	 * <p>Description: </p> 
	 * @param alarmParamVO
	 * @return 
	 * @see com.unis.detectionnum.server.service.AlarmParamService#updateAlarmParam(com.unis.detectionnum.common.vo.AlarmParamVO) 
	 */
	@Override
	public int updateAlarmParam(AlarmParamVO alarmParamVO) {
		
		return alarmParamDomain.alarmParamDomain(alarmParamVO);
	}
	/**
	 * <p>Title: getAlarmParamByCfbh</p> 
	 * <p>Description: </p> 
	 * @param cfbh
	 * @return 
	 * @see com.unis.detectionnum.server.service.AlarmParamService#getAlarmParamByCfbh(java.lang.String) 
	 */
	@Override
	public AlarmParamVO getAlarmParamByCfbh(String cfbh) {
		
		return alarmParamDomain.getAlarmParamByCfbh(cfbh);
	}

}
