package com.unis.detectionnum.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.detectionnum.common.vo.LogVO;
import com.unis.detectionnum.server.domain.LogDomain;
import com.unis.detectionnum.server.service.LogService;

/** 
 * @ClassName: LogServiceImpl 
 * @Description: TODO 
 * @author LiuFeng 
 * @date 2019年10月23日 下午2:11:52  
 */
@Service
public class LogServiceImpl implements LogService{
	
	@Autowired
	private LogDomain logDomain;

	/**
	 * <p>Title: getLogsPageList</p> 
	 * <p>Description: </p> 
	 * @param userName
	 * @param pageNum
	 * @param pageSize
	 * @return 
	 * @see com.unis.detectionnum.server.service.LogService#getLogsPageList(java.lang.String, java.lang.Integer, java.lang.Integer) 
	 */
	@Override
	public PageInfo<LogVO> getLogsPageList(String userName, Integer pageNum, Integer pageSize) {
		
		return logDomain.getLogsPageList(userName,pageNum,pageSize);
	}

}
