package com.unis.detectionnum.server.utils;

public class CommonDataMeasure {
    public static final Double ANGLE_STEP = 0.135;   //每一步的度数
    public static final Double STEP_length = 2.0;      //每一步的长度
    public static final int STEP_DOWN = 1500;        //垂直向下的步数
    public static final String HEAD = "A5";          //报头文
    public static final String SLAVE_ID = "01";            //设备地址
    public static final String CODE_ID = "02";            //功能码
    public static final String CHECK_CODE = "00";            //效验码
    public static final int SLAVE_PORT = 502;        //端口号
    public static final String SLAVE_IP = "192.168.0.98";   //ip地址
    public static final int INITIAL_X = 1500;   //x的水平步长 水平方向扫描可以变步长
    public static final int INITIAL_X1 = 2166;   //x的水平步长 第一次扫描
    public static final int INITIAL_X2 = 1500;   //x的水平步长 第二次扫描
    public static final int INITIAL_X3 = 834;   //x的水平步长 第二次扫描
    public static final int INITIAL_X4 = 1500;   //x的水平步长 第二次扫描
    public static final int INITIAL_X_NINE = 840;   //x的水平步长 水平方向扫描90°的步长
    public static final int INITIAL_Y = 1500;       //y的水平步长 垂直向下方向扫描步长
    public static final int INITIAL_Y1 = 784;       //y的水平步长 垂直向下方向扫描步长 第一次扫描
    public static final int INITIAL_Y2 = 784;       //y的水平步长 垂直向下方向扫描步长
    public static final int INITIAL_Y3 = 784;       //y的水平步长 垂直向下方向扫描步长
    public static final int INITIAL_Y4 = 2116;       //y的水平步长 垂直向下方向扫描步长
    public static final int INITIAL_YD1 = 1500;       //y的水平步长 垂直向下方向扫描步长 有偏差1450
    public static final int INITIAL_Y_right = 2500;   //y的水平步长  探头向右水平方向 计算的水平
    public static final int INITIAL_Y_left = 834;   //y的水平步长  探头向左水平方向  计算出来的水平

    public static final String FAN_ON = "A5 01 00 00 00 00 0B 00";   //风扇开去灰尘
    public static final String FAN_OFF = "A5 01 00 00 00 00 0A 00";   //风扇关去灰尘
    public static final String HEATING_ON = "A5 01 00 00 00 00 09 AF";   //设备真实加热开
    public static final String HEATING_OFF = "A5 01 00 00 00 00 08 AE";   //设备真实加热关
    public static final String ALARM_ON = "A5 01 00 00 00 00 07 AD";   //报警灯开
    public static final String ALARM_OFF = "A5 01 00 00 00 00 06 AC";   //报警灯开关
    public static final String VERTICAL_DOWN = "A5 01 02 05 DC 05 DC 00";   //向下垂直
    public static final String EXTENT_RIGHT = "A5 01 02 08 76 03 42 00";   //仓房右边长度
    public static final String EXTENT_LEFT = "A5 01 02 03 42 03 42 00";   //仓房左边长度
    public static final String BAD_DATA = "ee ee ee ee";   //异常数据
    public static final String MSG = "发生粮食数量变化，请您及时确认！";   //异常数据
    public static final String MSG2 = "设备连接异常！";   //异常数据
    public static final int RETURN_DATA = 41;   //返回数据长度

}
